# TODO: duplicated locales (es vs es_ES, fr vs fr_FR)
Summary:	Encrypted pass-thru filesystem for Linux
Summary(pl.UTF-8):	Zaszyfrowany system plików dla Linuksa
Name:		encfs
Version:	1.7.4
Release:	5
License:	GPL v2
Group:		Applications/System
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tgz
# Source0-md5:	ac90cc10b2e9fc7e72765de88321d617
URL:		http://www.arg0.net/encfs
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	libfuse-devel >= 2.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	rlog-devel
Requires:	rlog >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EncFS implements an encrypted filesystem in userspace using FUSE. FUSE
provides a Linux kernel module which allows virtual filesystems to be
written in userspace. EncFS encrypts all data and filenames in the
filesystem and passes access through to the underlying filesystem.
Similar to CFS except that it does not use NFS.

%description -l pl.UTF-8
EncFS jest implementacją zaszyfrowanego systemu plików w przestrzeni
użytkownika przy użyciu FUSE. FUSE dostarcza moduł jądra Linuksa
pozwalający na obsługę wirtualnych systemów plików w przestrzeni
użytkownika. EncFS szyfruje wszystkie dane oraz nazwy plików w
systemie plików i przekazuje kontrolę do leżącego niżej systemu
plików. Jest podobny do CFS-a, ale nie używa NFS-a.

%prep
%setup -q

%build
# %{__libtoolize}
# %{__aclocal}
# %{__autoconf}
# %{__autoheader}
# %{__automake}
%configure \
  --with-boost-system=boost_system \
  --with-boost-serialization=boost_serialization \
  --with-boost-filesystem=boost_filesystem

%{__make} -j1 LDFLAGS="-lboost_system"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# No public headers => no need for devel files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{fr_FR,pt_PT,de_DE,es_ES,hu_HU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/encfs*
%attr(755,root,root) %{_libdir}/lib*.so*
%{_mandir}/man1/*.1*
%changelog
* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f00215d
releae 5
rebuild with boost 1.50

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d55619
- release 4

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aff8943
- release 3

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c510e2f
- rel 2; drop hu_HU

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 743eee7
- up to 1.7.4

* Sat Nov 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 426c4d7
- release 9

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b2972cc
- release 8

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9825e1a
- release 7

* Mon Nov 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f99d0d
- release 6

* Mon Apr 12 2010 ankry <ankry@pld-linux.org> adf6199
- rel. 5

* Mon Apr 12 2010 ankry <ankry@pld-linux.org> cb2a1e2
- more locale fixes

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 70a1caf
- release 4

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> b24df52
- release 3 (rebuild with boost-1.42.0)

* Fri Mar 26 2010 Paweł Sikora <pluto@pld-linux.org> 9ea89f6
- add missed BR: boost-devel (system,filesystem,serialziation).

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> c06684f
- BuildRoot capitalization

* Fri Jan 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f61cc2
- release 2

* Tue Oct 27 2009 Zsolt Udvari <uzsolt@pld-linux.org> 71c7526
- 1.5-2

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> fc01de2
- up to 1.3.2

* Wed May 02 2007 shadzik <shadzik@pld-linux.org> 9252afe
- fix build by not calling autotools - i know, it's a bad hack

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f46476b
- tabs in preamble

